Subject: RE: [Ltru] Confusing conformance language

From: "Addison Phillips" <[email-masked]>
Date: Wed, 8 Jun 2005 14:10:55 -0700

That's an easy enough edit for me to just run through and make, pace any thorny issues. In a random search, a number of the lowercase variety of 'must' SHOULD actually be normative language.

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of McDonald, Ira
> Sent: 2005?6?8? 8:42
> To: [email-masked]
> Subject: [Ltru] Confusing conformance language
> 
> Hi,
> 
> It's pretty much best practice in RFCs to avoid entirely
> the use of lowercase 'must' or 'should' as some dubious
> distinction from conformance imperatives 'MUST' or 'SHOULD'
> (RFC 2119 terms).
> 
> The lowercase term 'must' appeared 28 times and the lowercase
> term 'should' appeared 31 times in the latest Registry version
> <draft-ietf-ltru-registry-03.txt>.  The uppercase term 'MUST'
> appeared 88 times and the uppercase term 'SHOULD' appeared
> 21 times.
> 
> While I realize it would be a pain to disentangle, replace, and
> disambiguate these lowercase uses, this is low-hanging fruit for
> an IETF last call objection.  And it would cause too much
> rewriting to be handled as directives to the RFC Editor, in
> all likelihood.
> 
> Randy - do you have an opinion here?
> 
> Cheers,
> - Ira
> 
> 
> Ira McDonald (Musician / Software Architect)
> Blue Roof Music / High North Inc
> PO Box 221  Grand Marais, MI  49839
> phone: +1-906-494-2434
> email: [email-masked]
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "McDonald, Ira" <[email-masked]>
Date: Wed, 8 Jun 2005 15:35:02 -0700

Hi Scott,

Thanks for your quick feedback.  Addison already replied that
he was willing to work through and replace or uppercase the
pseudo-imperatives.

Cheers,
- Ira

> From: Scott Hollenbeck [mailto:[email-masked]]
> Sent: Wednesday, June 08, 2005 6:32 PM
> To: 'McDonald, Ira'; [email-masked]
> Subject: RE: [Ltru] Confusing conformance language
> 
> 
> > From: McDonald, Ira [mailto:[email-masked]] 
> > Sent: Wednesday, June 08, 2005 11:42 AM
> > To: [email-masked]
> > It's pretty much best practice in RFCs to avoid entirely the 
> > use of lowercase 'must' or 'should' as some dubious 
> > term 'should' appeared 31 times in the latest Registry 
> > version <draft-ietf-ltru-registry-03.txt>.  The uppercase 
> term 'MUST'
> > While I realize it would be a pain to disentangle, replace, 
> > and disambiguate these lowercase uses, this is low-hanging 
> > fruit for an IETF last call objection.  And it would cause 
> > too much rewriting to be handled as directives to the RFC 
> > Editor, in all likelihood.
> > 
> I do, and I'd prefer that the lower case forms NOT be used to 
> avoid just the
> sort of potential confusion described above.  The IESG 
> doesn't seem to deal
> with it consistently, either, so it's best to avoid the issue 
> completely if
> at all possible.
> 
> -Scott-
>

---

From: "Addison Phillips" <[email-masked]>
Date: Thu, 9 Jun 2005 06:42:11 -0700

Some of the changes to normative language turn out to be natural (we really meant to be normative). Other changes (to avoid using the lowercase) required either an extensive rewrite or the need for word substitution (silly).

Should and must were relatively easy. "May" is downright impossible, since that word can be used in more than one way...

Addison

Addison P. Phillips

> Behalf Of Randy Presuhn
> Sent: 2005?6?8? 21:16
> Subject: Re: [Ltru] Confusing conformance language
> 
> Hi -
> 
> > From: "McDonald, Ira" <[email-masked]>
> > To: <[email-masked]>
> > Sent: Wednesday, June 08, 2005 8:41 AM
> ...
> ...
> In the spirit of "be liberal in what you accept", I don't mind a
> lowercase "should" or "must" when they would the most natural
> way of saying something.  After all, the whole point of writing
> the words as "SHOULD" and "MUST" is to distinguish them as
> having their special standards-speak meanings.
> 
> Having said that, I think that in keeping with the principle of being
> "conservative in what you send", it is good to avoid the lower-case
> ones as much as is practical.
> 
> Since our AD has a preference, and the editors are willing, the
> choice is simple.  :-)
> 
> Randy
> 
> 
> 
>

---

From: "Addison Phillips" <[email-masked]>
Date: Thu, 9 Jun 2005 12:03:54 -0700

Also, I have started revising the corresponding section in the matching draft and doing SAR on the normative text there as well. I will post that when the edit is complete.

Addison

Addison P. Phillips

> Behalf Of Addison Phillips
> Sent: 2005?6?9? 12:01
> To: Randy Presuhn; [email-masked]
> Subject: RE: [Ltru] Re: Confusing conformance language
> 
> Okay. Done.
> 
> NB> I have rewritten Section 2.1.1 some more and those changes went along
> for the ride. If you're interesting in issue #944, you should go read that
> section again and send comments (some innovations were gleaned from the
> thread with Frank).
> 
> Addison
> 
> Addison P. Phillips
> > Sent: 2005?6?9? 11:43
> > Subject: Re: [Ltru] Re: Confusing conformance language
> >
> > Hi -
> >
> > > From: "Addison Phillips" <[email-masked]>
> > > To: "Frank Ellermann" <[email-masked]>; <[email-masked]>
> > > Sent: Thursday, June 09, 2005 10:36 AM
> > > Subject: RE: [Ltru] Re: Confusing conformance language
> > ...
> > > All of the normative language is now normalized in the editor's copy.
> > ...
> >
> > Since we're oh-so-close to being ready for working group last call,
> > please submit it as an i-d.  The secretariat has been quick to get
> > things through, and we have lots of integers left.  :-)
> >
> > Randy, ltru co-chair
> >
> >
> >
> >

---

From: "Addison Phillips" <[email-masked]>
Date: Thu, 9 Jun 2005 14:59:23 -0700

Dang. I made the change but must not have hit save that extra time before xml2rfc'ing it.

> 
> I hope you're not trying to capitalize all "should", some are
> in examples, or all "must" (e.g. "special thanks MUST go to"
> etc. would be nonsense... ;-)

No, I know better than that. I used search and replace manually, doing manual edits as necessary. Some of these might have been wrong, of course.

> "Informative" reference:  RfC 3092, the etymology of "foo".
> Unfortunately it doesn't explain XYZZY (for MAY-be not).  Bye.

That's just about what xyzzy does. IIRC, a typical response to that command is "nothing happens". But defining it probably requires your IANA Considerations section to begin "You are in a twisty maze of passages..."

Addison

Addison P. Phillips

> Behalf Of Frank Ellermann
> Sent: 2005?6?9? 12:16
> To: [email-masked]
> Subject: [Ltru] Re: Confusing conformance language
> 
> Addison Phillips wrote:
> 
> The -04 with date June 03 ?  I'm not sure what Scott checks,
> but Bruce could note that "SHALL NOT" is defined but not used.
> 
> I hope you're not trying to capitalize all "should", some are
> in examples, or all "must" (e.g. "special thanks MUST go to"
> etc. would be nonsense... ;-)
> 
> And if they'd insist on it roll your own terminologoy, start
> with STRONGLY (for SHOULD), VERY REALLY (for MUST), FOO (for
> SHOULD NOT), and FOOBAR (for MUST NOT).
> 
> "Informative" reference:  RfC 3092, the etymology of "foo".
> Unfortunately it doesn't explain XYZZY (for MAY-be not).  Bye.
> 
> 
>